
import 'package:rogapp/model/destination.dart';

class TextUtils{
    static String getDisplaytext(Destination dp){
      RegExp regex = RegExp(r'([.]*0)(?!.*\d)');
      String txt = "";
      if(dp.cp! > 0){
        txt = "${dp.cp.toString().replaceAll(regex, '')}";
        if(dp.checkin_point != null && dp.checkin_point! > 0){
          txt = txt + "{${dp.checkin_point.toString().replaceAll(regex, '')}}";
        }
        if(dp.buy_point != null && dp.buy_point! > 0){
          txt = txt + "[${dp.buy_point.toString().replaceAll(regex, '')}]";
        }
      }
      return txt;
    }

    static String getDisplayText(String num){
      RegExp regex = RegExp(r'([.]*0)(?!.*\d)');
      return "${num.replaceAll(regex, '')}";
    }

}